Subject: Re: CCL:Ring perception algorithm

From: "Mark A. Thompson" <[email-masked]>
Date: Mon, 29 Oct 2001 08:11:19 -0800

>
>>Prof Pearlman wrote:
>
> Lastly, I can not resist pointing out that structures which chemists
> justifyably regard as "cages" (such as cubane or buckyball) can and, in
> some respects, should be regarded as planar fused ringsystems. Imagine
> drawing the "front" face of a cube as a large dark square, drawing the
> "back" face as a smaller lightly-drawn square centered inside the first
> square, and drawing the other faces by making tapered connections from
> the corners of the outer square to the corners of the inner square.  Now,
> replace all of the dark, light, and tapered "bonds" (edges) with lines of
> uniform width and intensity and note that the resulting planar fused
> ringsystem is topologically equivalent to the cube.  Hence, neither our
> ring perception algorithm nor Euler's Theorem see fullerenes or any other
> "caged" ringsystems as particularly "tricky" problems because, in fact,
> they are no different than non-tricky ringsystems.
>
>

Thanks for the terrific response.  Indeed, I was aware of this issue of
topology vs. chemistry.  I had used a 3-sided pyramid as my simple test case
(has 3 linearly independant rings not 4).

I had to modify my version of the B&P algorithm to also include rings I
deemed chemically significant.  I wonder how others have solved this issue.
Given the usefullness of this approach to computational drug discover, I
thought this may have gotten some thought from others on the CCL.

Cheers,
Mark Thompson
www.planaria-software.com